.reset-text1 {
  width: 290px;
}

.red-class {
  font-size: 14px;
  font-family: "worksans";
  font-weight: 500;
  color: #c63c3c;
  letter-spacing: -0.01em;
}
.green-class {
  font-size: 14px;
  font-family: "worksans";
  font-weight: 500;
  color: #219653;
  letter-spacing: -0.01em;
}
.normal-calss {
  font-size: 14px;
  font-family: "worksans";
  font-weight: normal;
  color: #555555;
  letter-spacing: -0.01em;
}
.price-searchbox {
  width: 298px;
  height: 35px;
  background: #f2f2f2;
  border: 1px solid #cccccc;
  box-sizing: border-box;
  border-radius: 3px;
}
.price-table th {
  font-weight: 500;
  font-size: 16px;
  // padding-top: 10px;
  //   padding-bottom: 10px;

  font-family: "worksans";
  color: #555;
  vertical-align: middle;
}

.search_icon_transform {
  color: #aaaaaa;
  transform: matrix(-1, 0, 0, 1, 0, 0);
}
.price-table thead th {
  vertical-align: middle;
  border-bottom: 1px solid #f2f2f2;
}

.price-table tbody th {
  vertical-align: middle;
  border-bottom: 1px solid #f2f2f2;
}
.price-table thead {
  background: #f2f2f2;
}

.price-table th {
  font-weight: 500;
  font-size: 14px;
}
.price-table tbody td {
  font-size: 14px;
  font-weight: normal;
  // border-bottom: 0.1px solid #cccccc8a;
  color: #555;
}
.price-table td {
  // padding: 10px 10px 10px 3px !important;
  padding: 0px 10px 0px 3px !important;
  vertical-align: middle;
  border-bottom: 1px solid #f2f2f2;
}
.price-table > tbody > tr > td:first-child {
  padding-left: 2rem !important;
}
.price-tr {
  height: 50px;
}
.price-title-table {
  font-weight: normal !important;
  font-size: 14px !important;
  color: #555555 !important;
  font-family: "Aktiv" !important;
}
.green-class .fa-caret-up {
  vertical-align: middle !important;
  font-size: 11px;
}
.red-class .fa-caret-down {
  vertical-align: middle !important;
  font-size: 11px;
}

.tooltio-left-info {
  color: white !important;
  font-family: "worksans" !important;
  font-size: 9px !important;
  font-weight: 500 !important;
  opacity: 0.8 !important;
}

.bar-color1 {
  background: #cccccc;
}
.bar-color2 {
  background: rgba(198, 60, 60, 0.8);
}
.bar-color3 {
  background: #aaaaaa;
}
.bar-color4 {
  background: #219653;
}
//uncheked state
.unchecked-state .bar-color1 {
  background: #999999 !important;
}
.unchecked-state .bar-color2 {
  background: #999999 !important;
}
.unchecked-state .bar-color3 {
  background: #999999 !important;
}
.unchecked-state .bar-color4 {
  background: #999999 !important;
}
.bar-left-info {
  font-weight: 500;
  font-family: "worksans";
  font-size: 9px;
  color: #fff;
  opacity: 0.8;
}
.bar-right-info {
  color: #fff;
  font-weight: 500;
  font-size: 10px;
  font-family: "worksans";
}
.price-progress {
  height: 7px;
  border-radius: 30rem;
  width: 50%;
}
.priveview-progress {
  height: 7px;
  border-radius: 30rem;
  width: 100%;
  background: #f2f2f2;
  margin-top: 3px;
}

.bar-fill {
  background: #1c4e80;
  display: block;
  border-radius: 10px;
}
.percentage_value {
  left: 10em;
  position: relative;
}

.bg-price-tab {
  background: linear-gradient(270deg, #f2f2f2 0%, #ffffff 100.31%);
  clip-path: polygon(0 0, 85% 0, 100% 50%, 85% 100%, 0 100%);
}
.bg-price-tab:last-child {
  background: linear-gradient(270deg, #f2f2f2 0%, #ffffff 100.31%);
  clip-path: none;
}
.pr-cardBorder {
  border-bottom: 1px solid #f2f2f2;
}
.normal-class {
  font-size: 14px;
  font-family: "worksans";
  font-weight: normal;
  color: #555555;
  letter-spacing: -0.01em;
}
.title {
  font-family: "worksans" !important;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 20px;
  display: flex;
  align-items: center;
  text-align: right;
  letter-spacing: -0.01em;
  color: #555555;
}
.price-title-table {
  font-weight: normal !important;
  font-size: 14px !important;
  color: #555555 !important;
  font-family: "Aktiv" !important;
}
.elacity-box {
  width: 30px;
  height: 14px;
  // background: rgba(77,51,132,1);
  border-radius: 5px;
  margin-right: 8px;
}
.priceview-bar-span {
  font-family: "worksans";
  font-style: normal;
  font-weight: 500;
  font-size: 10px;
  letter-spacing: -0.01em;
  color: #777777;
  opacity: 0.8;
}
.pr {
  padding-bottom: 3px;
}
.pr:last-child {
  padding-bottom: 0px;
}

.progress-data-labels {
  font-size: 10px;
  top: -1.9px;
  position: relative;
  color: #555555;
  height: 14px;
}
//cmd by ravi to remove selection color
.table-row-active {
  background: #f2f2f2 !important;
}
.table-row-active:hover {
  & .pa-chart-bg {
    background: #f2f2f2 !important;
  }
}

.bor-chart {
  border-right: 1px solid #aaaaaa;
}
.bor-left-chart {
  border-left: 1px solid #aaaaaa;
}
.height-50 {
  height: 50px;
}

.text-align-end {
  text-align: end;
}

.ml-5 {
  margin-left: 5px !important;
}

.mr-5 {
  margin-right: 5px !important;
}

.progress-chart {
  height: 10px;
  overflow: visible;
  border-radius: 0 !important;
  width: 100%;
  background: transparent;
  margin-top: 3px;
}
// overwrite the checkbox background
::ng-deep .mat-checkbox-checked .mat-checkbox-background,
.mat-checkbox-indeterminate .mat-checkbox-background {
  background-color: transparent !important;
}

// overwrite the ripple overlay on hover and click
::ng-deep
  .mat-checkbox:not(.mat-checkbox-disabled)
  .mat-checkbox-ripple
  .mat-ripple-element {
  background-color: transparent !important;
}

.price-indicator .switcher-no {
  background: #ccc;
}
.price-indicator .switcher-yes {
  background: linear-gradient(
    128.63deg,
    #333333 -17.43%,
    #404040 30.11%,
    #555555 104.46%
  );
}
.price-view-table th {
  background: #f2f2f2;
  position: sticky;
  top: 0;
  // box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.4);
  z-index: 1;
}
.price-table th {
  background: #f2f2f2;
  position: sticky;
  top: 0;
  z-index: 1;
}

.nodeName:hover {
  color: #222222;
}
.nodeArrow:hover {
  background: #d7d7d7;
  border-radius: 100%;
  padding: 3px;
}
.nodeArrow {
  background: transparent;
  border-radius: 100%;
  padding: 3px;
}
